.: Rychlé menu: navigace .:. odkazy .:. kategorie .:. vyhledávání .:. archivy .:. autoři :.  

17.01.2004



Přečtěte si povídání od Linuxáka. Za ten odkaz mě někteří (nebo jiní) asi budou chtít ukamenovat. Ale ono to není zas tak vzdálené od reality, přátelé...


Zadal Arthur Dent, 17.01.2004 0:01:58, 35 komentářů...,
TrackBack URL tohoto příspěvku je http://blog.maly.cz/tb.php/711

Zpět na článek

HotLinks
Reakce na jiných stránkách (TrackBack)
MiM: I o tom to je...
Zobrazit komentáře v chronologickém pořadí

Když jsem něco podobného - MiM (web)

hledal, tak nebylo. A vida, je to tu!

Arthure, Arthure, že na tebe pošlu strýčka Tuxe {big grin})))
    

Re: Když jsem něco podobného - Arthur Dent (web)

Strýček Tux a Smrt mi mohou... víš co, že? {smile}
    

Re: Když jsem něco podobného - MiM (web)

jo, vím - mám stejný názor, ale místo tuxe dodám Bill {smile}
    

Re: Když jsem něco podobného - Arthur Dent (web)

Ale o tom žádná... Tux, Bill a Vladan Crha v jedný řadě {smile}
    


ano a ne - anonym (web)

něco pravdy na tom je,ale spousta výtek tam naznačená je hodně obsolete, např. instalace je na linuxu snažší než na windows, právě díky automatickému řešení závislostí (apt-get, urpmi ...)

instalace čehokoliv na linuxu spočívá v napsání jednoho příkazu, na windows to něco musím nejdříve někde najít, pak to stáhnout, pak to nainstalovat a pokud mám štěstí, tak to funguje

nedávno jsem instaloval tutéž tiskárnu na w2k a na mdk, u mdk jsem si naklikal{wink} že chci tiskárnu, nadetekovala se, požádal o souhlas s instalací, sama stáhla z netu ovladač a jela. na w2k jsem zkoušel dva ovladače z přiloženého cd, novější ze stránek výrobce a nic ->nakonec to byla moje chyba, zapomněl jsem mezi jednotlivými kroky restartovat

btw: článek o urpmi: [www.abclinuxu.cz/clanky/ViewRelation?rid=52632]
    

Re: ano a ne - Pavel@cetoraz (web)

Maám přesně stejné zkušenosti. Instalaci nakliká člověk, který stěží nainstaluje windows, najde mu to digitální foťák, tiskárnu, ... V podstatě všechno. Tohle je pravda, kamarád instalovat Mandrake8.2 a bez problémů. Zrušil ho, protože v něm nejsou hry.

Jediné problémy jsou s nestandardním a osekaným hardwarem, jako jsou různé winmodemy a wintiskárny. S tiskárnami už takový problém není, ale ty winmodemy jsou mor. Ono když někdo chce ušetřit pár stovek a koupí redukci z PCI na telefonní zásuvku, nemůže se divit, že to pak jede blbě (a to i ve windows!).

Ještě k té tiskárně. Když jsem instaloval jednu wintiskárnu, zkoušel jsem 3 ovladače a pak jsem ještě něco stahoval z netu. Pak jsem zkusmo nabootoval z MandrakeMove (liveCD) a to při startu nahlásilo, že našlo tiskárnu a bylo.

Jediný problém, který v tuhle chvíli brání rozšíření linuxu je absence her. Na všechno ostatní použití (vývojář, kancelářská krysa,...) již jde využít naprosto bez problémů.
    

Re: ano a ne - Roj (web)

Neni to jen ve hrach. podle me jsou distra porad nedomakana. jako priklad bych uvedl mDK 9.2. default instalaci nenainsaluje kppp!! I kdyz clovek odklika, ze to bue chtit jako internetovy desktop. Pritom ty klikaci nastroje MDK se tvari, jako je kppp nainstalovany. Stravil jsem nad tim par hodin, nepomohly telefonaty kamosu, co tomu FAKT rozumi. Nakonec jsem objevil v konvi MDK, ze tam kdosi resil PRESNE stejny problem.
Tato drobna chybka myslim mluvi za vsechno.
Aby bylo jasno: Nenavidim widle a Billovy svinarny.
    

Re: ano a ne - anonym (web)

na druhou straná: diky Linusovi, ze ho nenainstaluje -> modemy pomalu (velmi pomalu) odchazeji do zapomeni a kppp by tak jen zbytecne zaclanelo{wink}

ale chyby jsou vsude, na mdk bych rekl ze mas velkou vyhodu v tom, ze ted uz to nebudes muset nikdy preinstalovavat, proste az vyjde 10-ka, nastavis nove zdroje a das jen urpmi --auto-select +doinstalujes jadro
    


Re: ano a ne - Arthur Dent (web)

Ńesouhlasím, podle mých zkušeností to zas tak růžové není, ale budu věřit, že to hodně usnadní práci.

A teď mi poraďte: Mám staré Pentium 150, 64MB RAM atd. Co na něj nainstalovat? Při pokusu o instalaci Linuxu nebo FreeBSD to zařve, že je starý BIOS a já mám smůlu... Podařilo se mi nainstalovat MDK8, ale ta instalace není to co bych si představoval, je tam spousta balastu (i když si ručně vyberu balíčky) a spousta věcí je tak divně rozlezlá po celém systému...
    

Re: ano a ne - Jerry (web)

Na tohle bych viděl spíš Debiana, MDK je (nebo alespoň byl, už jsem ho neměl pod rukama asi rok a půl) přece jen poněkud hardwarově náročnější. Nebo Gentoo, ale tam je pro změnu zase minimálně prvotní instalace časově náročná, protože se musí překompilovat celý systém (a, pravda, trošku se pohrabat v konfiguračních souborech, ale na [www.gentoo.org/doc/en/index.xml] jsou k dispozici poměrně podrobné popisy jak na to).
Každopádně bych nepočítal s tím, že by na tomhle železe rozumně běželo třeba současné KDE nebo OpenOffice, alespoň pokud by se nepřidala RAM; na druhou stranu pro práci v textovém režimu nebo v X s nějakým nenáročným window managerem by to ještě stačit mohlo.
Jak Debian tak Gentoo ovšem nejsou příliš klikací, což podle mně není na škodu, ale spousta lidí se mnou tohle přesvědčení nesdílí...{wink}
    

Re: ano a ne - Arthur Dent (web)

Nedokončil jsem myšlenku: Měl by tam běžet PostgreSQL a Apache. Nic víc. Stačí mi vi, mc a bash {smile} Dokonce jsem dumal i nad Slackwarem...

Jenže - tohle z balíčků do starýho systému nenacpu, musím to přeložit. A pro překlad potřebuju hafo dalších knihoven...
    

Re: ano a ne - Jerry (web)

To má tak malý disk, že se to tam nevejde? Mně jede firewall na 150MHz Pentiu + 80MB RAM + 1,2GB HDD s nainstalovaným Debianem, běží mi na tom ssh, exim, hostap, bind, dhcp a freeswan, aktuálně mám (bez bufferů a cache) obsazeno 9MB RAM + 3MB swap, na disku to celé sežralo 300MB. A to jsem se nesnažil nijak uskromňovat, prostě o co si systém řekl, to jsem tam dal.
Apache už moc RAM ani místa na disku nezabere a co se teď koukám na informace o PostgreSQL, taky má včetně dokumentace pár megabytů. V čem je problém?
    

Re: ano a ne - Arthur Dent (web)

Ne, disk je 3GB. Problém je tento: Musím mít nový PG, nikoli ten, který se dodává se starou distribucí. Když stáhnu RPM s novým, oznámí cosi o nekompatibilních verzích knihoven. Když to ale přeložím ze zdrojáků, jde to.

To jsem myslel tím že nelze instalovat z balíčků.

Dále chci, aby Apache byl v /usr/local/apache a PG v /usr/local/pgsql (mám své důvody proč by to mělo být takto). Když nainstaluju Apache z instalaček, jsou jeho soubory různě rozházené po filesystému. Takže překlad...
    

Re: ano a ne - Jerry (web)

V tom případě zkuste Gentoo. Jak říkám, sice se to musí komplet všechno překompilovat, ale pokud si nastavíte správně parametry v /etc/make.conf, bude to používat opravdu jen ty knihovny, které budou v daném systému nutně potřeba. Vlastní kompilaci můžete provést na rychlejším stroji a na cílovou mašinu pak nakopírovat už zkompilované balíčky...
    

Re: ano a ne - Jerry (web)

A abych nezapomněl - poslední stabilní nabízená verze PostgreSQL v Gentoo je 7.3.5, nejvyšší dostupná "unstable" verze je 7.4.1, z unstable do stable se nechá daný balíček převést odmazáním jednoho znaku.
    


Re: ano a ne - PetrS (web)

Můžete říct, který Linux a co zařve? Instaloval jsem různé verze RedHat linuxu dokonce i na prehistorické 486SX/25 a podobnou hlášku jsem ještě neviděl.

Není to problém bootování z velkého disku (>1024 cylindrů) pokud BIOS nemá INT13 extensions a disk je větší než 8,4GB? To jde jednoduše vyřešit bootovacím oddílem pod tímto cylindrem.

Zkušenosti s Linuxem mám dost omezené, i když nám servery s Linuxem úspěšně běží asi 5 let, ale já bych zkusil Fedoru, pokud to jde, tak vůbec neinstalovat X, po instalaci instalované balíčky probrat rpm -e, nahrát poslední verzi PostgreSQL z ftp.postgresql.org/pub/binary/v7.4.1/fedora pokud by nestačila verze 7.3.4, Apache 2.0.48 je v updatech k fedoře.

Možná, že jiné distrubuce jsou vhodnější, já jsem si ale zvykl na Red Hat Linux a už si pamatuji, kde co je.
    

Re: ano a ne - Arthur Dent (web)

Při bootování z instalačního CD oznámí, že mám velmi starý BIOS - a konec. {sad}
    

Re: ano a ne - Pavel@cetoraz (web)

V tomto případě mě napadá na zakoušku tato cesta:

disk píchnout do nějakého stroje, který nemá starý bios, nainstalovat nějakou distribuci v minimálním rozsahu. Pak otestovat, jestli to v tom stroji běhá, kouknout se, jestli se nenainstalovaly balíky pro jinou architekturu - pentium1 je i586, novější stroje použijí buď architekturu i686 nebo athlon, takže tohle zkouknout. Nainstalovat potřebné programy a opět ozkoušet.

Píchnout do starého počítače a zkusit, jestli to běhá. Myslím, že by to mělo projít.
    


Re: ano a ne - Costra (web)

přesně, něco pravdy na tom je, asi proto jsem se u toho článku tak nasmál - protože to všechno je vlastně pravda! Většinou problémů jsme si prošel taky. Urpmi je krásná věc, když má člověk rychlou linku do netu. Ale pokud si v práci na Windows stáhnu GreatGame.i386.rpm, přinesu na disketě domů, tak mi to úžasné uprmi zahlásí chybu závislostí a mám smůlu. Já chápu proč to tak je a proč je to lepší než staticky slinkované knihovny v windowsich programech snadno instalovatlené pomocí setup.exe. Ovšem občas i o těch dokonale zvládnutý závislostech zařínám pochybovat, když upgrade vim (cca. 1 MB) si jako závislost vyžádá i upgrade TuxRacera (80 MB).
Ten článek je v mnoha ohledech až neskutečně trefný a výrobci distribucí by si z něj měli vzít poučení.
    


 - cezam (web)

zakladni problem je v tom, ze si nekteri mysli, ze linux je "free alternativa k windows". to je blbost, a proto potom klikaci pisou podobny clanky.
    

Re: - Arthur Dent (web)

No, premisa je dobrá (Linux NENÍ free alternativa k Windows) ale závěr je mylný (ten článek nejspíš nenapsal "klikač", ale člověk, co s Linuxem dělá)
    

Re: - Roj (web)

Ten clanek je predevsim vyborna sranda a neni treba v nim hledat zamysleni nad smyslem zivota {smile}
    

Re: - Arthur Dent (web)

Asi tak. Je to skvělá odpověď pro takové ty fanatické linuxáky, co je ve chvíli, kdy člověk řekne "Linux má taky svoje zápory" přejde humor.
    

Re: - radek oblog (web)

Tak, tak, říkat zarytým příznivcům, že i s WinXP/2k se dá pracovat, je dávat svoji hlavu pod gilotinu, to mě na jednom domácím počítači běží WinXP, ale na dalších dvouch Linux (Mandrake 9.2), a na něm Apache, PHP, MySQL a další, spokojenost, ten druhej je na blbnutí, testování, a "rýpání se" v tom, ale stejně radši dělám pod Win, mám *velice osobní pocit*, že to je na aplikační věci příjemnější rozhraní a dokážu najít více software (neříkám, že na Lin neexistuje, ale prostě já ho pro Win dokážu nalézt více...open-source, žádný warez.., popřípadě špičkové komerční aplikace).
    

Re: - Arthur Dent (web)

Já mám pod Win svůj oblíbený PSPad, dělám s ním přes rok a naprosto mi vyhovuje, stejně jako třeba TotalCommander. Nenašel jsem obdobný SW pro Linux...

Takže jsme na tom stejně: Na serveru Linux, na pracovní stanici WinXP...
    

Re: - MiM (web)

Pro linux:

MC = Midnight Commander
naprosto bezkonkurenční s podobou Norton Commanderu

Krusader = grafický, ale krapet pro mne neohrabaný
    

Re: - Arthur Dent (web)

Ehm ehm... MC znám (možná bych měl pro upřesnění dodat, že s Linuxem občas dělám už od roku 1996) a rozhodně bych ho s TotalCommanderem nesrovnával.
    


Re: - Pepak (web)

A mohl byste me prosim nanavigovat na nejaky tutorial, jak si MC spravne nastavit a ovladat? Priznavam, ze Linux nijak extra dobre neznam a s MC samotnym jsem se v praxi setkal az minuly tyden (kdy jsem s pomoci Knoppixu zachranoval data z poskozeneho NTFS disku...), ale rozhodne me ta zkusenost prilis nenadchla. Asi je moje chyba, ze jsem nekde neco prehledl (nebo jsem nemel aktualni verzi - ale predpokladam, ze na poslednim Knoppixu bude i posledni MC...), ale pripada mi, ze MC ma schopnosti zhruba na urovni NC 4.0, a to je trochu malo. To i Total Commander je na tom podstatne lip, o FARu nemluve.
    

Re: - PetrS (web)

No já nevím, oboje má svoje, na Windows používám Total, na linuxu Midnight Commander, a snad jsem zatím nenarazil na nic co by mi v mc chybělo. Naopak v TC mi chybí možnost v porovnání adresářů porovnávat podle velikosti souboru nebo podle jeho obsahu. Editor v mc je taky lepší než notepad využívaný TC.
A to používám několik let starý mc 4.5.42.
    

Re: - Roj (web)

Na MC mi priserne vadi nekolik malickosti. Treba nemoznost vypnou jeden panel. Escape jako prefix, cili se musi davat dvakrat. Neexistence inkrementalniho vyhledani souboru pres alt+pismeno.
Na FAR to nema, total je na me moc klikaci, nesnasim mys {smile}
    


Re: - radek oblog (web)

Taky nedám dopustit na PSPad {smile} Dokonalý program pro vývoj webu a progamování. Vlastně, jediný potřebný...
    

Re: - Roj (web)

Az na ty bugy v zalamovani. Ale taky v nem delam {wink}
    

Re: - Arthur Dent (web)

Ta nová verze (z pátku tuším) už zalamuje o 74.12% líp... {smile}
    

Re: - HUB (web)

Co to znamená o 74.12 ? znamená to, že si můžu zapnout zalamování textu aniž by mi to při editaci vytuhlo ?? Mě to vždycky dřív nebo později při zapnutém zalamování lehne :/
    
HotLinks
Zpět na článek